Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664802 - dev-python/pycairo blocks profile 17.1 migration
Summary: dev-python/pycairo blocks profile 17.1 migration
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2018-08-28 23:26 UTC by Thomas Deutschmann
Modified: 2018-12-29 08:58 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/pycairo-1.17.0-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2018-08-28 23:26:05 UTC
`unsymlink-lib --analyze` ended with:


> One or more files are both in /usr/lib/ and /usr/lib64/, making the conversion impossible.
> 
>         pkgconfig/py3cairo.pc
> 
> Please report a bug at https://bugs.gentoo.org/, and do not proceed with
> the migration until a proper solution is found.
> 
> # qfile /usr/lib/pkgconfig/py3cairo.pc
> dev-python/pycairo (/usr/lib/pkgconfig/py3cairo.pc)
> dev-python/pycairo (/usr/lib64/pkgconfig/py3cairo.pc)
> 


=================================================================
                        Package Settings
=================================================================

dev-python/pycairo-1.17.0::gentoo was built with the following:
USE="-doc -examples -test" ABI_X86="(64)" PYTHON_TARGETS="python2_7 python3_6 python3_7 -pypy -pypy3 -python3_4 -python3_5"
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-08-29 15:02:49 UTC
It's more curious than that:

/usr/lib64/pkgconfig/pycairo.pc
/usr/lib64/pkgconfig/py3cairo.pc
/usr/lib-python/pkgconfig/pycairo.pc
/usr/lib-python/pkgconfig/py3cairo.pc
/usr/lib/pkgconfig/py3cairo.pc

My guess is that it does some 'smart' processing of PYTHONPATH, with 'lib' coming from py3.7 and 'lib-python' from pypy.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-03 10:00:28 UTC
The patch for this has been merged upstream.  I'm going to backport it.
Comment 3 Larry the Git Cow gentoo-dev 2018-11-03 10:15:16 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ac4e2c322c93dec2d94fd0c99db4b6217743d41

commit 4ac4e2c322c93dec2d94fd0c99db4b6217743d41
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-11-03 10:12:15 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-11-03 10:14:57 +0000

    dev-python/pycairo: Fix pkg-config install path
    
    Bug: https://bugs.gentoo.org/664802
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 .../files/pycairo-1.17.0-pkgconfigdir.patch        | 71 ++++++++++++++++++++++
 ...airo-1.17.0.ebuild => pycairo-1.17.0-r1.ebuild} |  9 +++
 2 files changed, 80 insertions(+)
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-03 10:18:30 UTC
Arch teams, please stabilize 1.17.0-r1.
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-11-04 19:15:13 UTC
x86 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-11-05 18:13:11 UTC
amd64 stable
Comment 7 Rolf Eike Beer 2018-11-08 07:50:57 UTC
sparc stable
Comment 8 Sergei Trofimovich gentoo-dev 2018-11-08 08:04:16 UTC
ppc64 stable
Comment 9 Sergei Trofimovich gentoo-dev 2018-11-08 08:07:55 UTC
ppc stable
Comment 10 Sergei Trofimovich gentoo-dev 2018-11-09 01:02:35 UTC
hppa stable
Comment 11 Sergei Trofimovich gentoo-dev 2018-11-18 16:16:35 UTC
ia64 stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-11-19 07:26:31 UTC
arm stable
Comment 13 Larry the Git Cow gentoo-dev 2018-11-26 17:26:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa9200e0a8a98bf29854e5808091f40200fb24d0

commit aa9200e0a8a98bf29854e5808091f40200fb24d0
Author:     Benda Xu <heroxbd@gentoo.org>
AuthorDate: 2018-11-26 17:25:07 +0000
Commit:     Benda Xu <heroxbd@gentoo.org>
CommitDate: 2018-11-26 17:26:09 +0000

    dev-python/pycairo: fix .pc Prefix path.
    
    Bug: https://bugs.gentoo.org/664802
    Signed-off-by: Benda Xu <heroxbd@gentoo.org>
    Package-Manager: Portage-2.3.50, Repoman-2.3.11

 dev-python/pycairo/pycairo-1.17.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 14 Larry the Git Cow gentoo-dev 2018-11-27 20:57:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4e604c97e6189cef90fb5bf50636f4e35504f10

commit c4e604c97e6189cef90fb5bf50636f4e35504f10
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2018-11-27 20:56:54 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2018-11-27 20:56:54 +0000

    dev-python/pycairo-1.17.0-r1: alpha stable
    
    Bug: http://bugs.gentoo.org/664802
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 dev-python/pycairo/pycairo-1.17.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 15 Tobias Klausmann gentoo-dev 2018-11-27 20:58:43 UTC
Stable on alpha.
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-29 08:58:55 UTC
s390 stable